<mat-toolbar class="custom-login_header" layout="fill">
	<span class="header-title">Contract Portal</span>
	<div class="privecy-policy_section">
		<a href="javascript:void(0);">terms of service</a>
		<span>|</span>
		<a href="javascript:void(0);">privacy policy</a>
	</div>
</mat-toolbar>
<div class="container">
	<div class="card-wrapper">
		<mat-card class="mat-elevation-z1">
			<mat-card-header class="justify-contnet-center">
				<mat-card-title>
					<h2>Welcome Back</h2>
				</mat-card-title>
			</mat-card-header>
			<form [formGroup]="loginForm">
				<mat-card-content>
					<mat-form-field>
						<mat-label>User Name*</mat-label>
						<input formControlName="userName" matInput name="username" placeholder="UserName" type="text">
					</mat-form-field>
					<mat-form-field>
						<mat-label>Password*</mat-label>
						<input formControlName="password" matInput name="password" placeholder="Password" type="password">
					</mat-form-field>
					<div class="signed-in_section">
						<mat-checkbox color="primary">Stay signed in</mat-checkbox>
						<a href="javascript:void(0);">Forgot your Password?</a>
					</div>
				</mat-card-content>
				<mat-card-actions class="text-center">
					<button class="login-btn__styles" (click)="onLogin($event)" mat-raised-button
						type="button">Login
					</button>
					<div class="signup_section">
						<h5>Don't have an account?</h5>
						<p class="sign-up_link" (click)="onRegister($event)">Sign Up</p>
					</div>
				</mat-card-actions>
			</form>
			<div class="error-messages" *ngIf="error">{{ error }}</div>
		</mat-card>
	</div>
</div>